Public Class WaitingWndV

   Private WithEvents m_WaitingWndVM As WaitingWndVM

   Sub New(Owner As Window, WaitingWndVM As WaitingWndVM)
      MyBase.New(Owner)
      ' This call is required by the designer.
      InitializeComponent()
      Me.DataContext = WaitingWndVM
      ' Assegno al riferimento locale al VM il VM preso dal DataContext
      m_WaitingWndVM = WaitingWndVM
   End Sub

   Private Sub CloseWindow(bDialogResult As Boolean) Handles m_WaitingWndVM.m_CloseWindow
      Me.DialogResult = bDialogResult
   End Sub

End Class
